<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 02/12/2004 *
 * ================                             Last change: 02/12/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_doubler.php                            *
 * -------------------------------------------------------------------- *
 * Short description : List doubler entries                             *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Verdoppler-Eintraege auflisten                   *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), '/inc') + 4) . '/security.php';
	require($INC);
}

// Add description as navigation point
ADD_DESCR('admin', __FILE__);

if (!REQUEST_ISSET_GET(('mode'))) {
	// Chosse the overview page as default
	REQUEST_GET('mode', "overview");
} else {
	// Set table title automatically
	if (!REQUEST_ISSET_GET(('select'))) REQUEST_GET('select', "all");
	$eval = "define('__ADMIN_DOUBLER_LIST_".strtoupper(REQUEST_GET('mode'))."', getMessage('ADMIN_DOUBLER_LIST_".strtoupper(REQUEST_GET('mode'))."_".strtoupper(REQUEST_GET('select'))."'));";
	eval($eval);
}

// Load data for the template
switch (REQUEST_GET('mode'))
{
	case "already":  // Already payed out points
		break;

	case "overview": // General overview page
		$SUM_ALREADY = 0; $SUM_WAITING = 0;
		// Number of direct already payouts and referal
		$result = SQL_QUERY("SELECT COUNT(id) FROM `{!_MYSQL_PREFIX!}_doubler` WHERE completed='Y' AND is_ref='N'", __FILE__, __LINE__);
		list($cnt) = SQL_FETCHROW($result);
		SQL_FREERESULT($result);

		if ((empty($cnt)) || ($cnt == '0'))
		{
			// Nothing payed out so far
			define('__DOUBLER_ALREADY_DIRECT_LINK', '0');
		}
	 else
	 {
	 	// Something was payed out
	 	$SUM_ALREADY += $cnt;
	 	define('__DOUBLER_ALREADY_DIRECT_LINK', "<a href=\"{!URL!}/modules.php?module=admin&amp;what=list_doubler&amp;mode=already&amp;select=direct\">".$cnt."</a>");
	 }
	 $result = SQL_QUERY("SELECT COUNT(id) FROM `{!_MYSQL_PREFIX!}_doubler` WHERE completed='Y' AND is_ref='Y'", __FILE__, __LINE__);
	 list($cnt) = SQL_FETCHROW($result);
	 SQL_FREERESULT($result);

	 if ((empty($cnt)) || ($cnt == '0'))
	 {
	 	// Nothing payed out so far
	 	define('__DOUBLER_ALREADY_REF_LINK', '0');
	 }
	 else
	 {
	 	// Something was payed out
	 	$SUM_ALREADY += $cnt;
	 	define('__DOUBLER_ALREADY_REF_LINK', "<a href=\"{!URL!}/modules.php?module=admin&amp;what=list_doubler&amp;mode=already&amp;select=ref\">".$cnt."</a>");
	 }
	 define('__DOUBLER_ALREADY_ALL_LINK', "<a href=\"{!URL!}/modules.php?module=admin&amp;what=list_doubler&amp;mode=already&amp;select=all\">".$SUM_ALREADY."</a>");

	 // And the same for waiting pouts (direct and referal)
	 $result = SQL_QUERY("SELECT COUNT(id) FROM `{!_MYSQL_PREFIX!}_doubler` WHERE completed='N' AND is_ref='N'", __FILE__, __LINE__);
	 list($cnt) = SQL_FETCHROW($result);
	 SQL_FREERESULT($result);

	 if ((empty($cnt)) || ($cnt == '0'))
	 {
	 	// Nothing payed out so far
	 	define('__DOUBLER_WAITING_DIRECT_LINK', '0');
	 }
	 else
	 {
	 	// Something was payed out
	 	$SUM_WAITING += $cnt;
	 	define('__DOUBLER_WAITING_DIRECT_LINK', "<a href=\"{!URL!}/modules.php?module=admin&amp;what=list_doubler&amp;mode=waiting&amp;select=direct\">".$cnt."</a>");
	 }
	 $result = SQL_QUERY("SELECT COUNT(id) FROM `{!_MYSQL_PREFIX!}_doubler` WHERE completed='N' AND is_ref='Y'", __FILE__, __LINE__);
	 list($cnt) = SQL_FETCHROW($result);
	 SQL_FREERESULT($result);

	 if ((empty($cnt)) || ($cnt == '0'))
	 {
	 	// Nothing payed out so far
	 	define('__DOUBLER_WAITING_REF_LINK', '0');
	 }
	 else
	 {
	 	// Something was payed out
	 	$SUM_WAITING += $cnt;
	 	define('__DOUBLER_WAITING_REF_LINK', "<a href=\"{!URL!}/modules.php?module=admin&amp;what=list_doubler&amp;mode=waiting&amp;select=ref\">".$cnt."</a>");
	 }
	 define('__DOUBLER_WAITING_ALL_LINK', "<a href=\"{!URL!}/modules.php?module=admin&amp;what=list_doubler&amp;mode=waiting&amp;select=all\">".$SUM_WAITING."</a>");

	 // All data is loaded here...
	 break;
}

// Load mode template
LOAD_TEMPLATE("admin_list_doubler_".REQUEST_GET('mode'));

//
?>
